> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a webhook

> Get a workspace webhook or a form webhook by ID.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/webhooks.yaml GET /webhooks/{id}
openapi: 3.0.3
info:
  title: NeetoForm Webhooks APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Webhooks
    description: APIs to manage webhooks for a form and for the whole workspace.
paths:
  /webhooks/{id}:
    get:
      tags:
        - Webhooks
      summary: Get a webhook
      description: Get a workspace webhook or a form webhook by ID.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/webhook_id_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/webhook_response'
        '404':
          description: Not Found - Webhook does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: NeetoWebhooksEngine::Webhook does not exist.
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    webhook_id_param:
      in: path
      name: id
      description: >-
        Unique ID of the webhook. You can get it from the [List
        webhooks](/api/webhooks/list) API.
      required: true
      schema:
        type: string
        example: 7c1e9b2a-4f3d-4a8e-9b61-2d0f5e8c3a17
  schemas:
    webhook_response:
      type: object
      properties:
        webhook:
          $ref: '#/components/schemas/webhook'
    error_response:
      type: object
      properties:
        error:
          type: string
    webhook:
      type: object
      properties:
        id:
          type: string
          example: 7c1e9b2a-4f3d-4a8e-9b61-2d0f5e8c3a17
        endpoint:
          type: string
          example: https://example.com/hook
        is_active:
          type: boolean
          example: true
        version:
          type: string
          description: Payload version of the webhook.
          example: v2
        version_expired:
          type: boolean
          description: Whether the payload version is no longer supported.
          example: false
        entity_type:
          type: string
          description: '`Form` for a form webhook, `Organization` for a workspace webhook.'
          example: Form
        events:
          type: array
          items:
            type: string
          example:
            - submit
        form_id:
          type: string
          nullable: true
          description: ID of the form for a form webhook. `null` for a workspace webhook.
          example: 0b6f2d4e-91a3-4c57-8e2f-6a9d1c3b5e70
        created_at:
          $ref: '#/components/schemas/date_time_field'
    date_time_field:
      type: string
      format: date-time

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.